/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Clinical Regional Lymph Node Assessment for Breast
 */
public enum EnumCV_ClinicalRegionalLymphNodeAssessmentforBreast {

	//Clinical Regional Lymph Node Assessment for Breast - CID 6161
	NX_REGIONAL_LYMPH_NODES_CANNOT_BE_ASSESSED_R_003CA("R-003CA"),
	N0_NO_REGIONAL_LYMPH_NODE_METASTASIS_HISTOLOGICALLY_R_003CB("R-003CB"),
	N1_METASTASIS_IN_1_TO_3_AXILLARY_LYMPH_NODES_R_003D0("R-003D0"),
	N2_METASTASIS_IN_4_TO_9_AXILLARY_LYMPH_NODES_R_003D6("R-003D6"),
	N2A_METASTASIS_IN_4_TO_9_AXILLARY_LYMPH_NODES_2_0_MM_R_003D7("R-003D7"),
	N2B_METASTASIS_IN_CLINICALLY_APPARENT_INTERNAL_NODES_R_003D8("R-003D8"),
	N3_METASTASIS_TO_IPSILATERAL_INTERNAL_MAMMARY_LYMPH_NODE_S_G_F749("G-F749"),
	N3A_METASTASIS_IN_10_OR_MORE_AXILLARY_LYMPH_NODES_R_003D9("R-003D9"),
	N3B_METASTASIS_IN_CLINICALLY_APPARENT_IPSILATERAL_INTERNAL_R_003DA("R-003DA"),
	N3C_METASTASIS_IN_IPSILATERAL_SUPRACLAVICULAR_LYMPH_NODES_R_003DB("R-003DB");

	private String value;

	EnumCV_ClinicalRegionalLymphNodeAssessmentforBreast(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
